==================== 2.27.2 ====================

==================== 2.22.2 ====================

==================== 2.22.1 ====================

2008-03-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.22.0

2008-02-25  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.92

2008-02-15  Jaap Haitsma  <jaap@haitsma.org>

	* services-tool.c: (gst_services_tool_new):
	Use network-server i.s.o. deprecated gnome-fs-server icon name

2008-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.91

2008-01-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.90

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5.1

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5

2008-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* services.desktop.in.in: Use network-server icon instead of the
	obsolete gnome-fs-server. Fixes #506780, patch by Jaap A. Haitsma  
	<jaap@haitsma.org>.

2007-12-26  Carlos Garnacho  <carlosg@gnome.org>

	* services-tool.c: Use HIG compliant capitalization for window title.
	#474655.

2007-12-18  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.3

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	* callbacks.c (show_settings): Turn editing mode on when the service
	properties dialog is shown.

2007-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2.1

2007-11-13  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2

2007-10-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.1

2007-10-15  Denis Washington  <denisw@svn.gnome.org>

	* main.c: Use gst_dialog_require_authentication_for_widgets() to
	mark those widgets which need authentication to be used.

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* services-tool.c: adapt to liboobs 2.21.x API change.

2007-09-16  Carlos Garnacho  <carlosg@gnome.org>

	* service.c: Mark DBus as a critical service.

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.92

2007-08-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.91

2007-07-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.1

2007-07-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.0

2007-06-18  Carlos Garnacho  <carlosg@gnome.org>

	* main.c: include services-tool.h. Fixes #441646 (patch by Sven
	Arvidsson)
	* callbacks.c (show_settings): do not leak a reference
	(on_service_toggled): fix a compiler warning.
	* table.c (service_get_active): fix a compiler warning.
	* service-settings-table.c (add_columns): do not possibly unref the
	adjustment too early.

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.1

2007-03-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.0

2007-02-27  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.92

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.91

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.5

2007-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.4

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.3

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* callbacks.c: (show_settings):
	* callbacks.h:
	* service-settings-table.c: (add_columns), (populate_table):
	* services-tool.c: (gst_services_tool_init),
	(gst_services_tool_update_config):
	* services-tool.h: More compiler warning fixes.

2006-11-08  Carlos Garnacho  <carlosg@gnome.org>

	* table.c (service_get_status): fixed old
	oobs_service_get_runlevel_configuration() semantics use.

2006-11-05  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.2

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* transfer.[ch]: should have been removed a long time ago, deleted.

2006-09-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.5

2006-09-07  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.4

2006-09-07  Carlos Garnacho  <carlosg@gnome.org>

	* service.c: Added a bunch of icons to the descriptions list.

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.3

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* service.[ch]: modified to use (and match with)
	src/common/gst-service-role.[ch]
	* table.c (get_service_icon): added, gets the GdkPixbuf matching the
	service description, if it isn't found a fallback icon is used.
	(table_add_service): update to new code.

2006-09-01  Carlos Garnacho  <carlosg@gnome.org>

	* main.c: remove an unnecessary #include

2006-08-23  Carlos Garnacho  <carlosg@gnome.org>

	* services-tool.c (gst_services_tool_update_config): added

2006-08-11  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.2

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.1

2006-06-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.0

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

        * table.c: set translation domain for action_groups. Closes #342497
	(patch by Sebastien Bacher)

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

	* services-tool.c: set an icon name.
	* services.desktop.in.in: ditto, patch by Sebastien Bacher
        <seb128@debian.org>

2006-05-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* services-tool.[ch]: new GObject, inherits from GstTool, also gives
	OobsServicesConfig & co.
	* service-settings-table.[ch]: added too, implements the advanced
	runlevels/priorities table.
	* Makefile.am: added these files
	* table.[ch]: add a pointer to the OobsService objects, add hability
	to show the advanced properties dialog.
	* service.h: cosmetic change
	* callbacks.[ch]: make things work with liboobs. Remove/comment out
	unused code
	* main.c: modify main to work with GstTool changes

2006-03-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.14.0

2006-01-31  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.2

2006-01-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.1

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.0

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* services.c: applied some string improvements suggested in bug
	#312962, by Adam Weinberger  <adamw@gnome.org>

2005-11-28  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.1

2005-09-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.0

2005-08-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.92

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.2

2005-08-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service.c: added more descriptions to roles
	* main.c: changed main window title

2005-07-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.1

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0.1

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service.[ch]: new file for all the services descriptions stuff
	* table.[ch], transfer.c, main.c, callbacks.c: adapted to the new GUI
	* Makefile.am: compile those new files

2005-03-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.2.0

2005-03-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.92

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.91

2005-01-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.90

2005-01-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4.1

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.3

2004-11-03  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1

2004-09-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.0

2004-09-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 0.92

2004-08-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.c, table.c, transfer.c: fixed various memleaks

2004-08-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.91.0

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.90

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.[ch], main.c: removed complexity thing, added help buttons

2004-06-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.34

2004-06-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c (current_runlevel_is_default), (run_service): removed
	* callbacks.c, transfer.c: fixed a bug where wrong XML tags were 
	  compared, resulting in configuration not being applied

2004-05-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.[ch], table.c, transfer.c: replaced deprecated widgets
	  with the new ones. Handled the "popup-menu" signal for the treeview
	* main.c: some stupid cosmetic code changes

2004-05-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callback.c: fixed a small typo/bug when the "runlevels" tag didn't
	  exist in the service

2004-05-15  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.33.0

2004-04-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* transfer.c: fixed a crasher produced when the system has only one
	  runlevel and it's marked as default

2004-04-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c, transfer.c: made it to return the menu to the default
	  runlevel when returning to basic mode. Fixes Debian bug #231129

2004-04-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c (get_current_runlevel)(toggle_service)
	  (on_service_toggled): more fixes related to turning the 
	  runlevel comparison a string comparison

2004-04-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c, main.c, transfer.c: fixed some issues when hiding 
	  the "order by startup sequence" toggle button
	* callbacks.[ch], table.[ch]: do all the runlevel comparison as
	  strings instead of gints, in gentoo the runlevels aren't 
	  numbers

2004-02-26  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c: made it to scroll the treeview to show always the
	  selected row when changing the priority. Fixed a warning

2004-02-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* transfer.c: made it to hide the "order by startup sequence" button
	  when the distro has no priorities

2004-02-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.[ch], main.c, table.[ch]: added the "order by startup
	  sequence" toggle button

2004-02-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.32.0

2004-01-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.[ch], transfer.c: improved the default runlevel selection,
	  now it selects the first entry in the list if there's no default

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.1

2003-12-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.0

2003-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c: made it to hide the priority spinbutton when
	  the priority tag doesn't exist

2003-12-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c, main.c: changed the service dialog it now 
	  shows that the service is stopped or running and limits
	  the options to start/stop service. fixes bug #129088
	* callbacks.[ch], main.c, table.[ch], transfer.c: removed unused
	  #includes

2003-12-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.[ch], main.c, table.[ch]: added contextual menu and
	  improved signal management in the treeview

2003-12-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services.desktop.in.in: define X-GNOME-Bugzilla-*, added patch by
          Grzegorz Golawski <grzegol@pld.org.pl> to make the file
          freedesktop standard's compliant

2003-12-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.30.0

2003-10-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* table.c: fixed warning when the runlevels node didn't exist

2003-10-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.c: added title to the service settings window

2003-10-24  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.29.0

2003-10-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* release 0.28.0

2003-08-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.27.0

2003-08-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* moved runlevel to services, and made it services oriented, it's
	  worth to keep the changelog anyways

2003-07-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * runlevel.desktop.in.in: moved menu entry to "system tools"

2003-05-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.1

2003-05-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
         * table.c: made some more checks before displaying runlevels data, it
         failed for runlevel "S" in filerc

2003-05-27  Carlos García Campos <elkalmail@yahoo.es>
	* table.c: fixed a bug that made the "service settings" button
	  unsensitive, independently of having a row selected, when changing
	  between more/less options
2003-05-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.0
	 
2003-05-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.25.0

2003-03-13  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: Added.
	* *.(c|h): s/XST/GST/, s/Xst/Gst/, s/xst/gst/.
	* Makefile.am: Reflect that.

2003-03-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.24.0

2003-02-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.23.0

2003-01-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: added XstWidgetPolicies, now the "service settings" button
	  is only shown in the "advanced" dialog.

2002-12-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* after a couple of times you pressed the "service settings" button,
	  the tool hanged. That bug is now gone.

2002-12-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* fixed a sorting problem in the table with the priorities, the numbers
	  below 10 showed like "5" instead of "05".

2002-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* /me is stupid, clicking on the table, changed the wrong runlevels in
	  the xml.

2002-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* callbacks.*, table.*, main.c: solved bugs #98818, #98819 and
	  #100179, related to changing service priorities, enabling calls to
	  scripts and doing an alphabetical listing of the services.
	* created the GtkTreeView by the glade interface instead of the code.

2002-12-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

        * Release 0.22

2002-09-13  Carlos Garnacho Parro <garparr@teleline.es>

	* main.c, callbacks.c: made it compile with the *_DISABLE_DEPRECATED
	  flags.
	* Begin of ChangeLog

